org.apache.avro.io.parsing

## Class Symbol.SkipAction

- java.lang.Object
- - org.apache.avro.io.parsing.Symbol
  - - org.apache.avro.io.parsing.Symbol.ImplicitAction
    - - org.apache.avro.io.parsing.Symbol.SkipAction

Enclosing class:
  Symbol

    public static class Symbol.SkipAction
    extends Symbol.ImplicitAction

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.avro.io.parsing.Symbol

`Symbol.Alternative, Symbol.DefaultStartAction, Symbol.EnumAdjustAction, Symbol.EnumLabelsAction, Symbol.ErrorAction, Symbol.FieldAdjustAction, Symbol.FieldOrderAction, Symbol.ImplicitAction, Symbol.IntCheckAction, Symbol.Kind, Symbol.Repeater, Symbol.ResolvingAction, Symbol.Root, Symbol.Sequence, Symbol.SkipAction, Symbol.UnionAdjustAction, Symbol.WriterUnionAction`

### Field Summary

Fields
`Symbol` `symToSkip`

### Fields inherited from class org.apache.avro.io.parsing.Symbol.ImplicitAction

`isTrailing`

### Fields inherited from class org.apache.avro.io.parsing.Symbol

`ARRAY_END, ARRAY_START, BOOLEAN, BYTES, DEFAULT_END_ACTION, DOUBLE, ENUM, FIELD_ACTION, FIELD_END, FIXED, FLOAT, INT, ITEM_END, kind, LONG, MAP_END, MAP_KEY_MARKER, MAP_START, NULL, production, RECORD_END, RECORD_START, STRING, UNION, UNION_END, WRITER_UNION_ACTION`

### Constructor Summary

Constructors
Constructor and Description
`SkipAction(Symbol symToSkip)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods
`Symbol.SkipAction` `flatten(Map<Symbol.Sequence,Symbol.Sequence> map, Map<Symbol.Sequence,List<org.apache.avro.io.parsing.Symbol.Fixup>> map2)`

### Methods inherited from class org.apache.avro.io.parsing.Symbol

`defaultStartAction, enumAdjustAction, enumLabelsAction, fieldAdjustAction, fieldOrderAction, flattenedSize, flattenedSize, hasErrors, intCheckAction, skipAction, unionAdjustAction, writerUnionAction`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### symToSkip

    public final Symbol symToSkip

### Constructor Detail

#### SkipAction

    @Deprecated
    public SkipAction(Symbol symToSkip)

Deprecated.

### Method Detail

#### flatten

    public Symbol.SkipAction flatten(Map<Symbol.Sequence,Symbol.Sequence> map,
                                     Map<Symbol.Sequence,List<org.apache.avro.io.parsing.Symbol.Fixup>> map2)

Overrides:
  `flatten` in class `Symbol`